com.microfocus.awm.meta.interfaces.validation

## Interface RElementActionValidator

-     public interface RElementActionValidator

  A sample validator interface for `RElementAction`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()`
    `boolean` | `validateActionEnabledCondition(RSelectionEnabledCondition value)`
    `boolean` | `validateActionVisibleCondition(RSelectionVisibleCondition value)`
    `boolean` | `validateDefaultAction(boolean value)`
    `boolean` | `validateLabel(java.lang.String value)`
    `boolean` | `validateSeparatorAfter(boolean value)`
    `boolean` | `validateSeqNo(int value)`
    `boolean` | `validateShowInElementView(boolean value)`
    `boolean` | `validateShowInTreeView(boolean value)`
    `boolean` | `validateTargetID(ActionDescriptor value)`

- - ### Method Detail

    - #### validate

          boolean validate()

    - #### validateActionEnabledCondition

          boolean validateActionEnabledCondition(RSelectionEnabledCondition value)

    - #### validateActionVisibleCondition

          boolean validateActionVisibleCondition(RSelectionVisibleCondition value)

    - #### validateTargetID

          boolean validateTargetID(ActionDescriptor value)

    - #### validateDefaultAction

          boolean validateDefaultAction(boolean value)

    - #### validateLabel

          boolean validateLabel(java.lang.String value)

    - #### validateSeparatorAfter

          boolean validateSeparatorAfter(boolean value)

    - #### validateSeqNo

          boolean validateSeqNo(int value)

    - #### validateShowInElementView

          boolean validateShowInElementView(boolean value)

    - #### validateShowInTreeView

          boolean validateShowInTreeView(boolean value)

Copyright © 2015 Micro Focus GmbH. All rights reserved.